Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1308352

[PATCH 2/9] perf build: Pass O option to Makefile.perf in build-test

From Wang Nan <wangnan0@huawei.com>
Newsgroups linux.kernel
Subject [PATCH 2/9] perf build: Pass O option to Makefile.perf in build-test
Date 2016-01-13 13:30 +0100
Message-ID <qQsIO-84i-15@gated-at.bofh.it> (permalink)
References <qQsz8-7YE-5@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


Doesn't like tools/perf/Makefile, tools/perf/Makefile.perf obey 'O'
option when it is passed through cmdline only, because of code in
tools/scripts/Makefile.include:

 ifneq ($(O),)
 ifeq ($(origin O), command line)
 	...
 	ABSOLUTE_O := $(shell cd $(O) ; pwd)
 	OUTPUT := $(ABSOLUTE_O)/$(if $(subdir),$(subdir)/)
 endif
 endif

This patch passes 'O' to Makefile.perf through cmdline explicitly
to make it follow O variable during build-test.

Signed-off-by: Wang Nan <wangnan0@huawei.com>
Cc: Arnaldo Carvalho de Melo <acme@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
---
 tools/perf/tests/make | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index c0ee679..14d7b8d 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -5,7 +5,7 @@ ifeq ($(MAKECMDGOALS),)
 # no target specified, trigger the whole suite
 all:
 	@echo "Testing Makefile";      $(MAKE) -sf tests/make MK=Makefile
-	@echo "Testing Makefile.perf"; $(MAKE) -sf tests/make MK=Makefile.perf SET_PARALLEL=1
+	@echo "Testing Makefile.perf"; $(MAKE) -sf tests/make MK=Makefile.perf SET_PARALLEL=1 SET_O=1
 else
 # run only specific test over 'Makefile'
 %:
@@ -13,6 +13,14 @@ else
 endif
 else
 PERF := .
+O_OPT :=
+
+ifneq ($(O),)
+  FULL_O := $(shell readlink -f $(O) || echo $(O))
+  ifeq ($(SET_O),1)
+    O_OPT := 'O=$(FULL_O)'
+  endif
+endif
 
 PARALLEL_OPT=
 ifeq ($(SET_PARALLEL),1)
@@ -261,7 +269,7 @@ clean := @(cd $(PERF); make -s -f $(MK) clean >/dev/null)
 $(run):
 	$(call clean)
 	@TMP_DEST=$$(mktemp -d); \
-	cmd="cd $(PERF) && make -f $(MK) $(PARALLEL_OPT) DESTDIR=$$TMP_DEST $($@)"; \
+	cmd="cd $(PERF) && make -f $(MK) $(PARALLEL_OPT) $(O_OPT) DESTDIR=$$TMP_DEST $($@)"; \
 	echo "- $@: $$cmd" && echo $$cmd > $@ && \
 	( eval $$cmd ) >> $@ 2>&1; \
 	echo "  test: $(call test,$@)" >> $@ 2>&1; \
-- 
1.8.3.4

Back to linux.kernel | Previous | NextPrevious in thread | Next in thread | Find similar | Unroll thread


Thread

[PATCH 0/9] perf build: Make build-test faster Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
  [PATCH 3/9] perf build: Test correct path of perf in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
    Re: [PATCH 3/9] perf build: Test correct path of perf in build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:00 +0100
      Re: [PATCH 3/9] perf build: Test correct path of perf in build-test "Wangnan (F)" <wangnan0@huawei.com> - 2016-01-14 11:00 +0100
    Re: [PATCH 3/9] perf build: Test correct path of perf in build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:00 +0100
    Re: [PATCH 3/9] perf build: Test correct path of perf in build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:10 +0100
    Re: [PATCH 3/9] perf build: Test correct path of perf in build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:10 +0100
      Re: [PATCH 3/9] perf build: Test correct path of perf in build-test "Wangnan (F)" <wangnan0@huawei.com> - 2016-01-14 11:20 +0100
  [PATCH 9/9] perf build: Use feature dump file for build-test Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
    Re: [PATCH 9/9] perf build: Use feature dump file for build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:20 +0100
      Re: [PATCH 9/9] perf build: Use feature dump file for build-test "Wangnan (F)" <wangnan0@huawei.com> - 2016-01-14 11:30 +0100
        Re: [PATCH 9/9] perf build: Use feature dump file for build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 13:50 +0100
    Re: [PATCH 9/9] perf build: Use feature dump file for build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:30 +0100
  [PATCH 4/9] perf build: Pass O option to kernel makefile in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
  [PATCH 5/9] perf build: Add feature-dump target Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
  [PATCH 7/9] tools build: Allow subprojects select all feature checkers Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:20 +0100
  [PATCH 8/9] perf build: Select all feature checkers for feature-dump Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:30 +0100
    Re: [PATCH 8/9] perf build: Select all feature checkers for  feature-dump Jiri Olsa <jolsa@redhat.com> - 2016-01-14 11:20 +0100
  [PATCH 2/9] perf build: Pass O option to Makefile.perf in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:30 +0100
    Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in  build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 10:40 +0100
      Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in build-test "Wangnan (F)" <wangnan0@huawei.com> - 2016-01-14 11:00 +0100
        Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in  build-test Jiri Olsa <jolsa@redhat.com> - 2016-01-14 15:40 +0100
          Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in  build-test Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-14 15:50 +0100
          Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in build-test pi3orama <pi3orama@163.com> - 2016-01-14 16:30 +0100
        Re: [PATCH 2/9] perf build: Pass O option to Makefile.perf in  build-test Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-14 15:40 +0100
  [PATCH 6/9] perf build: Introduce FEATURES_DUMP make variable Wang Nan <wangnan0@huawei.com> - 2016-01-13 13:30 +0100
  Re: [PATCH 0/9] perf build: Make build-test faster "Wangnan (F)" <wangnan0@huawei.com> - 2016-01-14 03:00 +0100

csiph-web